Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic.expression
Class EmptyExpression

    java.lang.Object
      org.apache.slide.search.basic.expression.EmptyExpression

All Implemented Interfaces:
  IBasicExpression

public class EmptyExpression
extends java.lang.Object
implements IBasicExpression

Represents an AND expression.

Version:
  $Revision: 1.5 $

Field Summary
`protected ComparableResourcesPool` | `requestedResourcesPool` The pool of resources to apply the expression to.

Constructor Summary
`EmptyExpression(ComparableResourcesPool requestedResourcesPool)` Creates an empty expression.

Method Summary
`IBasicResultSet` | `execute()` Executes the expression.
`IBasicExpressionFactory` | `getFactory()` Method getFactory
`void` | `setFactory(IBasicExpressionFactory factory)` Method setFactory
`java.lang.String` | `toString()` String representation for debugging purposes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### requestedResourcesPool

    protected ComparableResourcesPool requestedResourcesPool

  The pool of resources to apply the expression to.

Constructor Detail

### EmptyExpression

    public EmptyExpression(ComparableResourcesPool requestedResourcesPool)

  Creates an empty expression. This occurs when no clause was supplied

Parameters:
  `requestedResourcesPool` - the pool of resources to apply the expression to.

Method Detail

### execute

    public IBasicResultSet execute()
                            throws SearchException

  Executes the expression.

  Specified by:
    `execute` in interface `IBasicExpression`
  Returns:
    a Set of RequestedResource objects
  Throws:
    `SearchException`

### setFactory

    public void setFactory(IBasicExpressionFactory factory)

  Method setFactory

  Specified by:
    `setFactory` in interface `IBasicExpression`
  Parameters:
    `factory` - an IBasicExpressionFactory

### getFactory

    public IBasicExpressionFactory getFactory()

  Method getFactory

  Specified by:
    `getFactory` in interface `IBasicExpression`
  Returns:
    an IBasicExpressionFactory

### toString

    public java.lang.String toString()

  String representation for debugging purposes.

  Returns:
    this expression as String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD